# Uses of Class
io.dapr.client.domain.DeleteStateRequest

Packages that use DeleteStateRequest
Package
Description
io.dapr.client
io.dapr.client.domain

## Uses of DeleteStateRequest in io.dapr.client

Methods in io.dapr.client with parameters of type DeleteStateRequest
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
DaprClient.`deleteState(DeleteStateRequest request)`
Delete a state.
`reactor.core.publisher.Mono<Void>`
DaprClientImpl.`deleteState(DeleteStateRequest request)`
Delete a state.

## Uses of DeleteStateRequest in io.dapr.client.domain

Methods in io.dapr.client.domain that return DeleteStateRequest
Modifier and Type
Method
Description
`DeleteStateRequest`
DeleteStateRequest.`setEtag(String etag)`
`DeleteStateRequest`
DeleteStateRequest.`setMetadata(Map<String,String> metadata)`
`DeleteStateRequest`
DeleteStateRequest.`setStateOptions(StateOptions stateOptions)`